<?php
class Pais extends AppObjeto {
	
	//Propiedades
	protected $siglas;
	protected $pais;
	protected $siglas2;
	protected $siglas3;
			
		/* para conectar con bd */
	protected static $_aliasTabla = 'pais';
	protected static $_nombreTabla = 'pais';
	protected static $_campoPK = 'siglas';
	protected static $_tipo_primary = self::APP_TIPO_PRIMARY_STRING;
	
	// InitMetaDatos

	protected static function initMetaDatos(){
		
		self::addPropiedadBD('pais', 'SIGLAS', 'siglas', self::META_VARCHAR);
		self::addPropiedadBD('pais', 'PAIS', 'pais', self::META_VARCHAR);
		self::addPropiedadBD('pais', 'SIGLASTEXTO', 'siglas2', self::META_VARCHAR);
		self::addPropiedadBD('pais', 'SIGLAS3', 'siglas3', self::META_VARCHAR);
			
	}
	
	// Métodos
	
	public static function getCodigoBySiglas2($siglas2){
		
		$sql = "select siglas as codigo from pais where siglastexto='".$siglas2."'";
			$db = self::getDb();
			$adapter = $db->getAdapter();
			//echo $sql;
			try {
				$stmt = $adapter->query($sql);
			} catch (Exception $e) {
				echo $e->getMessage();
			}
			$rows = $stmt->fetchAll();
			if (isset($rows[0]['codigo'])){
				return $rows[0]['codigo'];
			} else {
				return '-1';
			}
	}
	
	// Get y Set
	
	
}